set PATH ~/bin ~/.local/bin ~/.go/bin ~/.cargo/bin /bin /sbin /usr/local/bin /usr/local/sbin /usr/bin /usr/sbin ~/.cabal/bin ~/.ghcup/bin /usr/lib/go/bin ~/.gem/ruby/1.9.1/bin ~/.rye/shims $PATH

if command -vq flatpak
    set -ga fish_user_paths ~/.local/share/flatpak/exports/bin /var/lib/flatpak/exports/bin
    set -gx --path XDG_DATA_DIRS /usr/local/share/ /usr/share/ ~/.local/share/flatpak/exports/share
    for install_dir in (flatpak --installations)
        set -gxa XDG_DATA_DIRS $install_dir/exports/share
    end
end

set fish_greeting ""
set EDITOR vi
set -x GOPATH ~/.go

if test -e $HOME/.asdf/asdf.fish
  . ~/.asdf/asdf.fish
end

if test -e $HOME/.config/fish/work.fish
  . ~/.config/fish/work.fish
end

. ~/.config/fish/fish_aliases.fish

# The next line updates PATH for the Google Cloud SDK.
if [ -f '/home/barak/local/google-cloud-sdk/path.fish.inc' ]; . '/home/barak/local/google-cloud-sdk/path.fish.inc'; end

set GOOGLE_APPLICATION_CREDENTIALS "/home/barak/.memtoken.json"
